Edit AI Chatbots
curl --request POST \
--url https://api.streamskill.pro/v1/purchases/{orderId}/edit-ai-chatbots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"language": "auto",
"count": 50,
"interval": 10,
"preferred_account_group": 0
}
'import requests
url = "https://api.streamskill.pro/v1/purchases/{orderId}/edit-ai-chatbots"
payload = {
"language": "auto",
"count": 50,
"interval": 10,
"preferred_account_group": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({language: 'auto', count: 50, interval: 10, preferred_account_group: 0})
};
fetch('https://api.streamskill.pro/v1/purchases/{orderId}/edit-ai-chatbots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok"
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"code": 0,
"status": 401,
"type": "unauthorized_http_exception"
}{
"name": "Purchase not found",
"code": 0,
"message": "Object not found: {ID}",
"status": 404,
"type": "purchase_not_found_exception"
}{
"name": "Method Not Allowed",
"message": "Action is unavailable for this order",
"code": 0,
"status": 405,
"type": "action_unavailable"
}{
"name": "Purchase Done",
"message": "Order already completed",
"code": 0,
"status": 409,
"type": "purchase_done"
}{
"name": "Bad Request",
"errors": {
"tarif.id": [
"Tarif not found"
]
},
"code": 0,
"status": 422,
"type": "validate_exception"
}{
"name": "Action failed",
"message": "Action not performed",
"code": 0,
"status": 500,
"type": "action_failed"
}Actions
Edit AI Chatbots
Edit settings for an AI Chatbots order. Only works for orders where order_type is ‘ai_chatbots’.
POST
/
purchases
/
{orderId}
/
edit-ai-chatbots
Edit AI Chatbots
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The language of the response
Available options:
en, ru Path Parameters
The ID of the order
Body
application/json
All parameters are optional. Only pass the parameters you want to change.
Speech recognition language code (e.g. 'auto', 'en', 'ru'). See /tariffs for available options.
Example:
"auto"
Number of chatbots (cannot exceed the originally purchased amount)
Required range:
x >= 1Example:
50
Interval between messages in seconds. Minimum depends on count: ceil(60 / count), at least 1.
Required range:
1 <= x <= 60Example:
10
Preferred account group. Use 0 for the default account group or a positive ID for one of the user's account groups.
Required range:
x >= 0Example:
0
Response
Action Success
The status of the action
Example:
"ok"
⌘I